# Execute a trade Endpoint: POST /v1/defi/core/trade Version: v2026_01_14 Security: bearerAuth ## Request fields (application/json): - `quote_id` (string, required) The quote ID returned from the quote endpoint - `signatures` (array, required) Signatures for the payloads returned from the quote endpoint (in order) - `auth_type` (string, required) The authentication type used for signing Enum: "web_authn", "api_key" ## Response 201 fields (application/json): - `order_id` (string) The created order ID - `tx_hash` (string) The blockchain transaction hash ## Response 400 fields (application/json): - `message` (string) Error message ## Response 401 fields (application/json): - `message` (string) Error message ## Response 422 fields (application/json): - `message` (string) Error message ## Response 500 fields (application/json): - `message` (string) Error message